Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.service
Class DefaultCHVDialog.IDDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--opencard.core.service.DefaultCHVDialog.IDDialog

public class DefaultCHVDialog.IDDialog
extends java.awt.Dialog
implements java.awt.event.ActionListener

IDDialog is used to request the PIN from the user.

See Also:
  Serialized Form

Field Summary
`protected java.awt.Button` | `cancelButton`
`protected java.lang.String` | `chv`
`protected boolean` | `finished`
`protected java.awt.Label` | `messageLabel`
`protected java.lang.Object` | `objectToNotify`
`protected java.awt.Button` | `okButton`
`protected java.awt.TextField` | `textField`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`DefaultCHVDialog.IDDialog(java.awt.Frame parent, java.lang.String title, java.lang.String prompt)` Create a new dialog.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Handle action events. Close the dialog on buttons and RETURN in the text field.
`java.lang.String` | `chv()` Get the CHV previously entered.

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, isModal, isResizable, paramString, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, finalize, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, processWindowEvent, removeWindowListener, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### okButton

    protected java.awt.Button okButton

### cancelButton

    protected java.awt.Button cancelButton

### messageLabel

    protected java.awt.Label messageLabel

### finished

    protected boolean finished

### objectToNotify

    protected java.lang.Object objectToNotify

### textField

    protected java.awt.TextField textField

### chv

    protected java.lang.String chv

Constructor Detail

### DefaultCHVDialog.IDDialog

    public DefaultCHVDialog.IDDialog(java.awt.Frame parent,
                                     java.lang.String title,
                                     java.lang.String prompt)

  Create a new dialog.
  Parameters:
    `parent` - the frame to which the dialog shall belong
    `title` - the title to be shown in the title bar
    `prompt` - the text to be printed above the text entry field
    `chvNumber` - the number of the CHV to be requested from the user

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handle action events.

  Close the dialog on buttons and RETURN in the text field.

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener
  Parameters:
    `e` - The `ActionEvent` to be handeled.

### chv

    public java.lang.String chv()

  Get the CHV previously entered.
  Returns:
    the CHV

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD